body {
  margin: 0;
  font-family: 'Segoe UI', sans-serif;
  background: #0b0f14;
  color: white;
}

.layout {
  display: flex;
}

.sidebar {
  width: 230px;
  height: 100vh;
  background: #0a0f1a;
  padding: 20px;
  display: flex;
  flex-direction: column;
}

.logo-section h2 {
  color: #ff7a00;
  margin: 0;
  font-size: 20px;
}

.subtitle {
  font-size: 12px;
  color: #6b7280;
}

.btn-primary {
  margin: 20px 0;
  padding: 12px;
  background: linear-gradient(90deg, #ff7a00, #ffb347);
  border: none;
  border-radius: 8px;
  font-weight: bold;
  cursor: pointer;
}

.menu {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-top: 25px;
}

.menu a {
  text-decoration: none;
  color: #9ca3af;
  padding: 10px;
  border-radius: 8px;
  display: flex;
  align-items: center;
  gap: 10px;
}

.menu a:hover {
  background: #1f2937;
  color: white;
}

.content {
  flex: 1;
  padding: 20px 40px;
}

.topbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 30px;

  position: sticky;
  top: 0;
  z-index: 1000;
}

.top-icons {
  display: flex;
  gap: 15px;
  font-size: 18px;
}


.top-icons i {
  cursor: pointer;
}

.menu a {
  display: flex;
  align-items: center;
  gap: 12px;
  color: #9ca3af;
  text-decoration: none;
  padding: 10px;
  border-radius: 8px;
}

.menu a i {
  width: 20px;
  text-align: center;
  font-size: 16px;
}

.tabla {
  width: 100%;
  border-collapse: collapse;
  margin-top: 20px;
}

.tabla th, .tabla td {
  padding: 12px;
  text-align: left;
}

.tabla thead {
  background: #1f2937;
}

.tabla tbody tr {
  border-bottom: 1px solid #374151;
}

.tabla tbody tr:hover {
  background: #111827;
}


.search {
  display: flex;
  align-items: center;
  gap: 10px;
  background: #1f2937;
  padding: 10px;
  border-radius: 8px;
  width: 300px;
}

.search input {
  border: none;
  background: transparent;
  color: white;
  outline: none;
  width: 100%;
}


select, input {
  padding: 10px;
  border-radius: 8px;
  border: none;
  background: #1f2937;
  color: white;
}

.btn-primary {
  padding: 12px;
  background: #ff7a00;
  border: none;
  border-radius: 8px;
  cursor: pointer;
}

/* =========================================
   SWEETALERT
========================================= */
.swal2-modal-custom{
    background:#111827 !important;

    color:#fff !important;

    border:1px solid rgba(255,255,255,.08) !important;

    box-shadow:
      0 10px 30px rgba(0,0,0,.45),
      inset 0 1px 0 rgba(255,255,255,.03);

    border-radius:16px !important;
}

.swal-subtitulo-stock{
    font-size:13px;
    color:#9ca3af;
    text-align:center;
    margin-top:-10px;
    margin-bottom:15px;
}

.tabla-popup{
    width:100%;
    border-collapse:collapse;
}

.tabla-popup th{
    background:#1f2937;
    padding:10px;
    text-align:center;
    border-bottom:1px solid rgba(255,255,255,.08);
}

.tabla-popup td{
    padding:10px;
    text-align:center;
    border-bottom:1px solid rgba(255,255,255,.05);
}

.tabla-popup tr:hover{
    background:#0f172a;
}

.swal-titulo-pequeno{
    font-size:15px !important;
    font-weight:700 !important;
}

.swal2-html-container{
    font-size:13px !important;
}

.swal2-confirm,
.swal2-cancel{
    background:#243047 !important;
    color:#ffffff !important;
    border:1px solid rgba(255,255,255,.08) !important;

    border-radius:10px !important;

    font-size:13px !important;
    font-weight:600 !important;

    min-width:140px !important;
    height:33px !important;

    padding:0 18px !important;
}

.swal2-confirm:hover,
.swal2-cancel:hover{
    color:#ff7a00 !important;
}

.swal2-close{
    color:#9ca3af !important;
}

.swal2-close:hover{
    color:#ff7a00 !important;
}

.swal2-actions{
    gap:12px !important;
}
